Forum: Ferret Determining the version of Ferret used to create an index

Announcement (2017-05-07): is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see and for other Rails- und Ruby-related community platforms.
D15043474367dbca4777758b582888cd?d=identicon&s=25 Michael Klein (mbklein)
on 2007-07-23 22:20

I keep getting "IndexError: index XXXXXX out of string" when I try to
use the index (with XXXXXX changing depending on what version of Ferret
I try to use to load the index). The data from which I created the index
has been lost, and I'm hoping to retrieve whatever I can out of the

Is there a way I can determine from a file header or something which
version of Ferret was used to create the index so I can install the
correct gem?

This topic is locked and can not be replied to.